### Property

# Gio NetworkMonitor:connectivity

since: 2.44

#### Declaration

    property connectivity: Gio.NetworkConnectivity [ read ]

#### Description [src]

More detailed information about the host’s network connectivity. See `g_network_monitor_get_connectivity()` and `GNetworkConnectivity` for more details.

Type:`GNetworkConnectivity`

Available since: 2.44

Default value | G_NETWORK_CONNECTIVITY_FULL
Getter method | `g_network_monitor_get_connectivity()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no